#
# spec file for package htdig (Version 3.1.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel autoconf automake gpp libgpp mm
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp mm modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         htdig
Copyright:    ht:;;Dig  1995, 1996, 1997 Andrew Scherpbier (GPL)
Group:        Applications/Internet
Provides:     htdig 
Autoreqprov:  on
Version:      3.1.5
Release:      304
Summary:      WWW indexing and searching system
Source: htdig-%{version}.tar.bz2
Source1: README.htdig
Patch:  htdig-%{version}.dif 
Patch1: htdig_3_1_x.diff
Patch2: htdig_3_1_x_noindex.diff
Patch3: htdig-%{version}-security.dif

%description
The ht://Dig system is a complete world wide web indexing and searching
system for a small domain or intranet. This system is not meant to replace
the need for powerful internet-wide search systems like Lycos, Infoseek,
Webcrawler and AltaVista. Instead it is meant to cover the search needs
for a single company, campus, or even a particular sub section of a web
site.
As opposed to some WAIS-based or web-server based search engines, ht://Dig
can span several web servers at a site. The type of these different
web servers doesn't matter as long as they understand the HTTP 1.0 protocol.

Authors:
--------
    Andrew Scherpbier <andrew@contigo.com>

SuSE series: n

%prep
%setup -q
%patch 
%patch1 -p 1
%patch2 -p 1
%patch3 -p 0

%build
%{?suse_update_config:%{suse_update_config -f db/dist}}
(cd db/dist; autoconf)
./configure
make depend
make

%install
find . -name \*.orig | xargs rm  -f
make install
install -d /usr/local/httpd/cgi-bin
install -m 755 /opt/www/cgi-bin/htsearch /usr/local/httpd/cgi-bin/htsearch
# install -d /usr/local/httpsd/cgi-bin
# install -m 755 /opt/www/cgi-bin/htsearch /usr/local/httpsd/cgi-bin/htsearch
install -d /usr/local/httpd/htdocs
#install suse.png /opt/www/htdocs/htdig
ln -sf /opt/www/htdocs/htdig /usr/local/httpd/htdocs/htdig
# install -d /usr/local/httpsd/htdocs
# ln -sf /opt/www/htdocs/htdig /usr/local/httpsd/htdocs/htdig

%files
%doc COPYING ChangeLog README contrib htdoc
/opt/www
/usr/local/httpd/cgi-bin/htsearch
/usr/local/httpd/htdocs/htdig
# /usr/local/httpsd/cgi-bin/htsearch
# /usr/local/httpsd/htdocs/htdig

%changelog -n htdig
* Mon Oct 22 2001 - freitag@suse.de
- added a security patch that avoids this bug:
  The htsearch CGI runs as both the CGI and as a command-line program.
  The command-line program accepts the -c [filename] to read in an
  alternate configuration file. On the other hand, no filtering is done
  to stop the CGI program from taking command-line arguments, so a
  remote user can force the CGI to stall until it times out (resulting
  in a DOS) or read in a different configuration file.
  For a remote exposure, a specified configuration file would need to
  be readable via the webserver UID, e.g. via anonymous FTP with upload
  enabled or samba world-readable log files are the possible targets)
  to potentially retrieve files readable by the webserver UID.
* Thu Aug 16 2001 - utuerk@suse.de
- dropped 'out-of-date' notify [#6139]
- dropped unneeded dochost templates, left the originals [#9715]
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Wed Jan 31 2001 - freitag@suse.de
- fixed a typo in html-files
* Sun Jan 14 2001 - kukuk@suse.de
- Add group tag
* Fri Sep 08 2000 - schwab@suse.de
- Add ia64 support in db.
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Wed Mar 08 2000 - freitag@suse.de
- fixing wrong links to images on localhost
* Wed Mar 08 2000 - freitag@suse.de
- fixing again some links, clearifying change losses
* Mon Mar 06 2000 - freitag@suse.de
- removed entries from /usr/local/httpsd
* Sat Mar 04 2000 - freitag@suse.de
- fixed layout on search pages
* Tue Feb 29 2000 - freitag@suse.de
- update to version 3.1.5 - Security fixes.
* Mon Feb 21 2000 - freitag@suse.de
- patches for using with kdevellop added
* Thu Feb 10 2000 - freitag@suse.de
- new version 3.1.4
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 - ray@suse.de
- update to 3.1.2
* Wed Mar 17 1999 - ro@suse.de
- diff cleanup
* Thu Jan 28 1999 - ray@suse.de
- fix S.u.S.E -> SuSE ;)
* Sat Jan 16 1999 - ray@suse.de
- fix /usr/local/bin/perl require
* Mon Dec 07 1998 - ray@suse.de
- update docu
* Thu Nov 05 1998 - ray@suse.de
- update to 3.1.0b2
* Mon Sep 14 1998 - ro@suse.de
- update to 3.1.0b1
- cleanup: use original source and extra tar for suse-gif
* Tue Jun 16 1998 - bs@suse.de
- fixed neededforbuild in spec file
* Wed May 13 1998 - ray@suse.de
- fix for startpage (search.html)
* Mon Apr 20 1998 - ro@suse.de
- fixed dependency for /usr/local/bin/perl
* Mon Mar 23 1998 - ray@suse.de
- insert whole htdoc and contrib
* Wed Mar 11 1998 - ray@suse.de
- fix (send mail to root)
* Tue Mar 03 1998 - ray@suse.de
- new packages
- htdig  Version 3.0.8b2
